This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 349421 - I can not lockdown the shutdown/reboot button separately from the logout button
I can not lockdown the shutdown/reboot button separately from the logout button
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2007-10-23 16:12 EDT by Daniel Walsh
Modified: 2008-12-03 10:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-03 10:43:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2007-10-23 16:12:22 EDT
Description of problem:

I want to allow xguest to logout but not attempt to shutdown the machine.

<dwalsh> Shouldn't that be under lockdown now?
<halfline>  /desktop/gnome/lockdown/disable_log_out is the key
<halfline> or it looks like setting /desktop/gnome/lockdown/locked_down
<halfline> will lock down other things too that might be useful
<halfline> i wonder if gnome-screensaver honors
/desktop/gnome/lockdown/disable_lock_screen
<dwalsh> halfline, Nope
<halfline> probably should i guess
<dwalsh> logout is differnt the shutdown.
<halfline> logout is different than shutdown, but the lockdown key is the same
<halfline> static gbooleanrnpanel_action_shutdown_reboot_is_disabled
(void)rn{rn        return (panel_lockdown_get_disable_log_out() ||rn     
  (!gdm_supports_logout_action (GDM_LOGOUT_ACTION_SHUTDOWN) &&rn        
!gdm_supports_logout_action (GDM_LOGOUT_ACTION_REBOOT)));rn}
<dwalsh> So does this mean it is a bug?
<halfline> i guess so. might make sense to have
/desktop/gnome/lockdown/disable_shutdown_and_reboot
<halfline> of course for the keys to be useful at all the have to be in a gconf
repo that they guest user doesn't have write access to
<dwalsh> Yes, because I want to allow xguest to logout but not
reboot/shutdown/hibernate/suspend.
<dwalsh> halfline, Well yes, but I am not as worried about an evil person. 
SELinux will/should prevent most evil stuff.  But having a button that does
nothing or puts up failure messages is aggravating.
Comment 1 Ray Strode [halfline] 2007-10-23 16:13:33 EDT
adding to F9Target
Comment 2 Thorsten Scherf 2007-12-25 12:53:22 EST
do we have any updates on this? is the new gconf key already available in rawhide?

Comment 3 Ray Strode [halfline] 2008-01-02 10:32:55 EST
No update yet.  In RHEL land at the moment.
Comment 4 Bug Zapper 2008-04-04 10:15:14 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-11-26 03:05:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Daniel Walsh 2008-11-27 06:49:30 EST
I believe this bug still exists in F10
Comment 7 Ray Strode [halfline] 2008-12-03 10:43:40 EST
F10 uses policykit policy to control shutdown/reboot availability.  So, this shouldn't be an issue anymore.  Keep the logout button gconf key enabled, and lock down 

org.freedesktop.consolekit.system.stop

 and 

org.freedesktop.consolekit.system.restart

Note You need to log in before you can comment on or make changes to this bug.